org.eclipse.oomph.setup.p2

## Interface SetupP2Package

- All Superinterfaces:
    EModelElement, ENamedElement, EObject, EPackage, Notifier
  All Known Implementing Classes:
    SetupP2PackageImpl

      public interface SetupP2Package
      extends EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `SetupP2Factory`
  Generated
  Model
    kind="package" annotation="http://www.eclipse.org/oomph/base/LabelProvider imageBaseURI='http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/plugins/org.eclipse.oomph.setup.p2.edit/icons/full/obj16'"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `SetupP2Package.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SetupP2Package` | `eINSTANCE` The singleton instance of the package.
    `static String` | `eNAME` The package name.
    `static String` | `eNS_PREFIX` The package namespace name.
    `static String` | `eNS_URI` The package namespace URI.
    `static int` | `P2_TASK` The meta object id for the '`P2 Task`' class.
    `static int` | `P2_TASK__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `P2_TASK__DESCRIPTION` The feature id for the 'Description' attribute.
    `static int` | `P2_TASK__DISABLED` The feature id for the 'Disabled' attribute.
    `static int` | `P2_TASK__EXCLUDED_TRIGGERS` The feature id for the 'Excluded Triggers' attribute.
    `static int` | `P2_TASK__ID` The feature id for the 'ID' attribute.
    `static int` | `P2_TASK__LABEL` The feature id for the 'Label' attribute.
    `static int` | `P2_TASK__LICENSE_CONFIRMATION_DISABLED` The feature id for the 'License Confirmation Disabled' attribute.
    `static int` | `P2_TASK__MERGE_DISABLED` The feature id for the 'Merge Disabled' attribute.
    `static int` | `P2_TASK__PREDECESSORS` The feature id for the 'Predecessors' reference list.
    `static int` | `P2_TASK__REPOSITORIES` The feature id for the 'Repositories' containment reference list.
    `static int` | `P2_TASK__REQUIREMENTS` The feature id for the 'Requirements' containment reference list.
    `static int` | `P2_TASK__RESTRICTIONS` The feature id for the 'Restrictions' reference list.
    `static int` | `P2_TASK__SCOPE_TYPE` The feature id for the 'Scope Type' attribute.
    `static int` | `P2_TASK__SUCCESSORS` The feature id for the 'Successors' reference list.
    `static int` | `P2_TASK_FEATURE_COUNT` The number of structural features of the 'P2 Task' class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EAttribute` | `getP2Task_Label()` Returns the meta object for the attribute '`Label`'.
    `EAttribute` | `getP2Task_LicenseConfirmationDisabled()` Returns the meta object for the attribute '`License Confirmation Disabled`'.
    `EAttribute` | `getP2Task_MergeDisabled()` Returns the meta object for the attribute '`Merge Disabled`'.
    `EReference` | `getP2Task_Repositories()` Returns the meta object for the containment reference list '`Repositories`'.
    `EReference` | `getP2Task_Requirements()` Returns the meta object for the containment reference list '`Requirements`'.
    `EClass` | `getP2Task()` Returns the meta object for class '`P2 Task`'.
    `SetupP2Factory` | `getSetupP2Factory()` Returns the factory that creates the instances of the model.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_URI

          static final String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_PREFIX

          static final String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated

    - #### eINSTANCE

          static final SetupP2Package eINSTANCE

      The singleton instance of the package.
      Generated

    - #### P2_TASK

          static final int P2_TASK

      The meta object id for the '`P2 Task`' class.
      See Also:
        `P2TaskImpl`, `SetupP2PackageImpl.getP2Task()`, Constant Field Values
      Generated

    - #### P2_TASK__ANNOTATIONS

          static final int P2_TASK__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### P2_TASK__ID

          static final int P2_TASK__ID

      The feature id for the 'ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### P2_TASK__DESCRIPTION

          static final int P2_TASK__DESCRIPTION

      The feature id for the 'Description' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### P2_TASK__SCOPE_TYPE

          static final int P2_TASK__SCOPE_TYPE

      The feature id for the 'Scope Type' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### P2_TASK__EXCLUDED_TRIGGERS

          static final int P2_TASK__EXCLUDED_TRIGGERS

      The feature id for the 'Excluded Triggers' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### P2_TASK__DISABLED

          static final int P2_TASK__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### P2_TASK__PREDECESSORS

          static final int P2_TASK__PREDECESSORS

      The feature id for the 'Predecessors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### P2_TASK__SUCCESSORS

          static final int P2_TASK__SUCCESSORS

      The feature id for the 'Successors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### P2_TASK__RESTRICTIONS

          static final int P2_TASK__RESTRICTIONS

      The feature id for the 'Restrictions' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### P2_TASK__LABEL

          static final int P2_TASK__LABEL

      The feature id for the 'Label' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### P2_TASK__REQUIREMENTS

          static final int P2_TASK__REQUIREMENTS

      The feature id for the 'Requirements' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### P2_TASK__REPOSITORIES

          static final int P2_TASK__REPOSITORIES

      The feature id for the 'Repositories' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### P2_TASK__LICENSE_CONFIRMATION_DISABLED

          static final int P2_TASK__LICENSE_CONFIRMATION_DISABLED

      The feature id for the 'License Confirmation Disabled' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### P2_TASK__MERGE_DISABLED

          static final int P2_TASK__MERGE_DISABLED

      The feature id for the 'Merge Disabled' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### P2_TASK_FEATURE_COUNT

          static final int P2_TASK_FEATURE_COUNT

      The number of structural features of the 'P2 Task' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

  - ### Method Detail

    - #### getP2Task

          EClass getP2Task()

      Returns the meta object for class '`P2 Task`'.
      Returns:
        the meta object for class 'P2 Task'.
      See Also:
        `P2Task`
      Generated

    - #### getP2Task_Label

          EAttribute getP2Task_Label()

      Returns the meta object for the attribute '`Label`'.
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `P2Task.getLabel()`, `getP2Task()`
      Generated

    - #### getP2Task_Requirements

          EReference getP2Task_Requirements()

      Returns the meta object for the containment reference list '`Requirements`'.
      Returns:
        the meta object for the containment reference list 'Requirements'.
      See Also:
        `P2Task.getRequirements()`, `getP2Task()`
      Generated

    - #### getP2Task_Repositories

          EReference getP2Task_Repositories()

      Returns the meta object for the containment reference list '`Repositories`'.
      Returns:
        the meta object for the containment reference list 'Repositories'.
      See Also:
        `P2Task.getRepositories()`, `getP2Task()`
      Generated

    - #### getP2Task_LicenseConfirmationDisabled

          EAttribute getP2Task_LicenseConfirmationDisabled()

      Returns the meta object for the attribute '`License Confirmation Disabled`'.
      Returns:
        the meta object for the attribute 'License Confirmation Disabled'.
      See Also:
        `P2Task.isLicenseConfirmationDisabled()`, `getP2Task()`
      Generated

    - #### getP2Task_MergeDisabled

          EAttribute getP2Task_MergeDisabled()

      Returns the meta object for the attribute '`Merge Disabled`'.
      Returns:
        the meta object for the attribute 'Merge Disabled'.
      See Also:
        `P2Task.isMergeDisabled()`, `getP2Task()`
      Generated

    - #### getSetupP2Factory

          SetupP2Factory getSetupP2Factory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html